weka.gui.knowledgeflow

## Class AbstractGraphicalCommand

- java.lang.Object
- - weka.gui.knowledgeflow.AbstractGraphicalCommand

- Direct Known Subclasses:
    GetPerspectiveNamesGraphicalCommand, SendToPerspectiveGraphicalCommand

      public abstract class AbstractGraphicalCommand
      extends java.lang.Object

  Base class for a graphical command
  Version:
    $Revision: $
  Author:
    Mark Hall (mhall{[at]}pentaho{[dot]}com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractGraphicalCommand()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getCommandDescription()` Get a description of this command
    `abstract java.lang.String` | `getCommandName()` Get the name of this command
    `abstract <T> T` | `performCommand(java.lang.Object... commandArgs)` Perform the command
    `void` | `setGraphicalEnvironment(java.lang.Object env)` Set a reference to the graphical environment

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractGraphicalCommand

          public AbstractGraphicalCommand()

  - ### Method Detail

    - #### setGraphicalEnvironment

          public void setGraphicalEnvironment(java.lang.Object env)

      Set a reference to the graphical environment

    - #### getCommandName

          public abstract java.lang.String getCommandName()

      Get the name of this command
      Returns:
        the name of this command

    - #### getCommandDescription

          public abstract java.lang.String getCommandDescription()

      Get a description of this command
      Returns:
        a description of this command

    - #### performCommand

          public abstract <T> T performCommand(java.lang.Object... commandArgs)
                                        throws WekaException

      Perform the command
      Type Parameters:
        `T` - the return type
      Parameters:
        `commandArgs` - arguments to the command
      Returns:
        the result, or null if the command does not return a result
      Throws:
        `WekaException` - if a problem occurs